using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 监测科目管理服务
/// </summary>
public class ExamCourseAppService : IDynamicApiController
{
    private readonly IExamCourseService _examCourseService;

    public ExamCourseAppService(IExamCourseService examCourseService)
    {
        _examCourseService = examCourseService;
    }

    /// <summary>
    /// 添加监测科目
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    public async Task Add(AddExamCourseInput input)
    {
        await _examCourseService.Add(input);
    }
    /// <summary>
    /// 更新监测科目
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    public async Task Update(UpdateExamCourseInput input)
    {
        await _examCourseService.Update(input);
    }
    /// <summary>
    /// 删除监测科目
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    public async Task Del(BaseId input)
    {
        await _examCourseService.Del(input);
    }
    /// <summary>
    /// 根据ID获取监测科目信息
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    public async Task<ExamCourseOutput> GetById(int id)
    {
        return await _examCourseService.GetById(id);
    }
    /// <summary>
    /// 查询监测年级列表
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    public async Task<List<ExamCourseOutput>> QueryList(QueryExamCourseInput input)
    {
        return await _examCourseService.QueryList(input);
    }
}
